Holger's Java API

## com.antelmann.image
Class SimpleRegionTag

    java.lang.Object
      com.antelmann.image.SimpleRegionTag

All Implemented Interfaces:
  RegionTag, Serializable

    public class SimpleRegionTag

extends Object
implements RegionTag, Serializable

implements an image tag associated with a rectangular region

Since:
  28.05.2011, 22:30:23
Author:
  Holger Antelmann
See Also:
  Serialized Form

Constructor Summary
`SimpleRegionTag(Keyword tag, Rectangle region)`
`SimpleRegionTag(String tag)`
`SimpleRegionTag(String tag, int x, int y)`
`SimpleRegionTag(String tag, Point point)`
`SimpleRegionTag(String tag, Rectangle region)`

Method Summary
`boolean` `equals(Object obj)`
`Rectangle` `getRegion()` if null, the tag refers to the entire entity
`Keyword` `getTag()`
`int` `hashCode()`
`void` `setLocation(int x, int y)`
`void` `setPoint(Point point)`
`void` `setRegion(Rectangle region)`
`void` `setTag(Keyword tag)`
`void` `setTag(String tag)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleRegionTag

    public SimpleRegionTag(String tag)

### SimpleRegionTag

    public SimpleRegionTag(String tag,
                           int x,
                           int y)

### SimpleRegionTag

    public SimpleRegionTag(String tag,
                           Point point)

### SimpleRegionTag

    public SimpleRegionTag(String tag,
                           Rectangle region)

### SimpleRegionTag

    public SimpleRegionTag(Keyword tag,
                           Rectangle region)

Method Detail

### getRegion

    public Rectangle getRegion()

  Description copied from interface: `RegionTag`
  if null, the tag refers to the entire entity

  Specified by:
    `getRegion` in interface `RegionTag`

### setRegion

    public void setRegion(Rectangle region)

### setPoint

    public void setPoint(Point point)

### setLocation

    public void setLocation(int x,
                            int y)

### getTag

    public Keyword getTag()

  Specified by:
    `getTag` in interface `RegionTag`

### setTag

    public void setTag(Keyword tag)

### setTag

    public void setTag(String tag)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads